Bug 22913 - https://mana-kb.koha-community.org/ should not return a 404 error
Summary: https://mana-kb.koha-community.org/ should not return a 404 error
Status: Pushed to master
Alias: None
Product: Project Infrastructure
Classification: Unclassified
Component: Mana-kb (server) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor
Assignee: Alex Arnaud
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 17047
Blocks: 23075
  Show dependency treegraph
 
Reported: 2019-05-15 12:29 UTC by Paul Poulain
Modified: 2019-10-03 10:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2019-05-15 12:29:39 UTC
everything is in the summary : the / url of mana-kb.koha-community.org is currently returning a 404 error.
It should return something more meaningful, like the API version
Comment 1 Martin Renvoize 2019-05-15 15:32:01 UTC
I'd suggest it return a nice welcome page briefly describing what Mana is personally.
Comment 2 Alex Arnaud 2019-06-10 08:39:23 UTC
Merge request is here: https://git.biblibre.com/biblibre/koha-mana/pulls/1
Comment 3 Martin Renvoize 2019-06-10 10:56:57 UTC
I was envisaging more of a human friendly splash page.. probably with a pretty definition of the Mana word (from Maori) and then a very short description/summary of what the 'product' is intended to do... something for the human reader that see's the page URL in the koha config page and wants to learn a bit more about what they're signing up to.

The machine readable json is certainly an improvement over a 404, but it's still not all that friendly to the person who is most likely to ever try navigating to the page.
Comment 4 Katrin Fischer 2019-06-10 10:57:48 UTC
Hi Alex, 

not sure how to test this. But I think what it does is returning a JSON type of answer. What I'd expect hitting the page from the browser would be a one page HTML page, just explaining what it is and maybe giving a hint on how to use it (link to the manual?).

I think having a non-404 could still be good until we have figured this out, but don't think I can test?
Comment 5 Katrin Fischer 2019-06-10 10:57:56 UTC
Just collided with Martin.
Comment 6 Alex Arnaud 2019-06-10 13:43:53 UTC
Martin, Katrin,

https://mana-* is an API and, IMO, is intended to return machine readable format only. This could be useful if we want koha to be able to check if the url is a valid mana instance.

May be what you are expecting could be done on the user interface part: https://ui.mana-*
Comment 7 Alex Arnaud 2019-06-10 15:37:04 UTC
[Update] merge request is here: https://gitlab.com/koha-community/koha-mana/merge_requests/1
Comment 8 Martin Renvoize 2019-06-17 16:03:02 UTC
I've been won around.. though in many ways I wish we had the URL's the other way around..

Right now it's very hard to discover that mana-ui exists from an end user perspective.

I would have liked, for example:

mana-kb.koha-community.org
api.mana-kb.koha-community.org

That way the more cryptic, aimed at machines, portal is on the more cryptic URL vs the user facing one being the more user friendly URL.
Comment 9 Paul Poulain 2019-06-18 08:06:38 UTC
(In reply to Martin Renvoize from comment #8)
> I've been won around.. though in many ways I wish we had the URL's the other
> way around..
> 
> Right now it's very hard to discover that mana-ui exists from an end user
> perspective.
The end-user has no reason to know (and use) mana-ui: it's only for admin purposes, you have access to nothing unless you're logged-in (and have admin permissions).
ui let you parse mana DB, delete invalid shared infos, check users, ...
Comment 10 Marcel de Rooy 2019-06-21 09:58:20 UTC
No patch but signed off?
What are we doing here ?
Comment 11 Katrin Fischer 2019-06-21 10:23:02 UTC
We were testing the new return of the mana server - just hti mana-kb.koha-community.org
Comment 12 Katrin Fischer 2019-06-21 10:23:53 UTC
Also comment#2 for the merge request with the code change for the mana server.
Comment 13 Martin Renvoize 2019-06-21 10:34:48 UTC
See also bug 23161
Comment 14 Martin Renvoize 2019-10-02 23:05:51 UTC
This all looks reasonable and sane to me at this point and I don't believe it leads to any breaking changes.

Passing QA, please go ahead and merge it into the project at your convenience Alex.
Comment 15 Martin Renvoize 2019-10-03 09:17:26 UTC
Merged into upstream project
Comment 16 Alex Arnaud 2019-10-03 10:09:05 UTC
https://mana-kb.koha-community.org and https://mana-test.koha-community.org are up-to-date with the related patches